Subject: Re: [PATCH v2 1/3] builtin: add a repository parameter for builtin functions

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 12 Sep 2024 12:55:49 +0200

On Thu, Sep 12, 2024 at 06:50:40AM -0400, Jeff King wrote:
> On Thu, Sep 12, 2024 at 06:43:20AM -0400, Jeff King wrote:
> 
> > I do feel like I have only started seeing it in the last month or so. I
> > wonder if a new version of binutils changed behavior or something.
> 
> Since I had that Makefile reproduction, I ran it against an older
> version of binutils. And yeah, it produces the same outcome. So it is
> probably just some kind of Baader-Meinhof phenomenon.

I was also reading through recent changes in binutils and couldn't spot
anything. But in any case, I also had the feeling that this only started
to pop up recently. Maybe it's not a change in binutils, but in our own
build instructions. I couldn't find any smoking guns there either,
though.

Patrick